/*******************************************************************************
 * Copyright (c) 2006 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/

package org.eclipse.wtp.releng.tools.component.adopters;

public class NamedRef extends Ref
{
  private String name;
  private String descriptor;

  public String getDescriptor()
  {
    return descriptor;
  }

  public void setDescriptor(String descriptor)
  {
    this.descriptor = descriptor;
  }

  public String getName()
  {
    return name;
  }

  public void setName(String name)
  {
    this.name = name;
  }

  protected String encode(String s)
  {
    int index = s.indexOf('<');
    if (index != -1)
    {
      StringBuffer sb = new StringBuffer(s);
      while (index != -1)
      {
        sb.deleteCharAt(index);
        sb.insert(index, new char[] {'&', 'l', 't', ';'}, 0, 4);
        index = sb.toString().indexOf('<');
      }
      return sb.toString();
    }
    else
      return s;
  }

  protected String decode(String s)
  {
    int index = s.indexOf("&lt;");
    if (index != -1)
    {
      StringBuffer sb = new StringBuffer(s);
      while (index != -1)
      {
        sb.delete(index, index + 4);
        sb.insert(index, '<');
        index = sb.toString().indexOf("&lt;");
      }
      return sb.toString();
    }
    else
      return s;
  }
}